From ae7143655df336a0bd44f7f4c41d93142298df33 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 22 2020 18:12:35 +0000
Subject: [PATCH 644/2232] Test c method calls without needing PartialEq on Exception


---

diff --git a/tests/test.rs b/tests/test.rs
index 836e2d3..ecfec84 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -158,7 +158,7 @@ fn test_c_method_calls() {
     assert_eq!(2021, unique_ptr.get());
     assert_eq!(old_value, unique_ptr.set2(old_value));
     assert_eq!(old_value, unique_ptr.get2());
-    assert_eq!(Ok(2022), unique_ptr.set_succeed(2022));
+    assert_eq!(2022, unique_ptr.set_succeed(2022).unwrap());
     assert!(unique_ptr.get_fail().is_err());
 }
 

